# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    # Getting proxy informations from WAPT settings
    proxy = {}
    if isfile(makepath(application_data(), "waptconsole", "waptconsole.ini")):
        proxywapt = inifile_readstring(makepath(user_local_appdata(), "waptconsole", "waptconsole.ini"), "global", "http_proxy")
        if proxywapt:
            proxy = {"http": proxywapt, "https": proxywapt}

    wget("https://repo.continuum.io/miniconda/Miniconda3-latest-Windows-x86.exe", "Miniconda3-latest-Windows-x86.exe", proxies=proxy)

    version = get_file_properties("Miniconda3-latest-Windows-x86.exe")["ProductVersion"].split("_")[1]

    # Changing version of the package
    control.version = "%s-%s" % (version, int(control.version.split("-")[-1]) + 1)
    control.save_control_to_wapt()
    print("Changing package version to: %s in WAPT\\control" % control.version)
